# Rate

Generating a rate requires the token, local currency and the amount you intend to send. Once a rate is generated, you can get the rate id, the rate, the wallet address and the allowed payment method(s).

* A rate which provides:
  * The USDC amount you'll send to us. This is represented as`crypto` in the `total` object.
  * The fiat amount we will send to your beneficiary. This is represented as `fiat` in the `total` object.
* Wallet address: A wallet USDC address that you will fund.
* A rate id: When you generate a rate, you'll get a rate id, a rate id is required to create a payout on Toga. Typically, every transaction **must** have a rate id.
* Payment method: The payment methods that are supported for that country and currency pair. Any other payment method (i.e. type) initiated for that currency and country pair asides from the ones specificed will fail.&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://moneymie.gitbook.io/toga-api/api-reference/rate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
